<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, user-scalable=no">
    <title>{% block title %}Welcome!{% endblock %}</title>
    {% block stylesheets %}{% endblock %}

    <!-- Copied from https://getbootstrap.com/docs/4.3/getting-started/introduction -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ asset('CSS/style.css') }}">
    <link href="https://fonts.googleapis.com/css?family=Oswald&display=swap" rel="stylesheet">
    <script
            src="https://code.jquery.com/jquery-3.4.1.min.js"
            integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
            crossorigin="anonymous"></script>
    <link rel="stylesheet" href="{{ asset("css/main.css") }}"/>
</head>
<body>

{% block header %}
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand logo" href="{{ path('home') }}"><img src="/Image/LogoSite.png" width="200px"></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">

            <ul class="navbar-nav mr-auto">
                {% if app.user %}
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('home') }}">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('myprofile') }}">My profile</a>
                </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ path('group_list') }}">My groups</a>
                    </li>
                    {% if app.user.isAdmin %}
                    <li class="nav-item">
                        <a class="nav-link" href="{{ path('easyadmin') }}">Admin</a>
                    </li>
                        {% endif %}
                {% endif %}
            </ul>

            <div class="form-inline my-2 my-lg-0">
                {% if app.user %}
                        <a class="nav-link login" href="{{ path('app_logout') }}">Logout</a>
                {% else %}
                        <a class="nav-link login" href="{{ path('app_login') }}">Login</a>
                {% endif %}
            </div>
        </div>
    </nav>
    <br>
{% endblock %}

{# Affichage des Flashes #}
{% for label, messages in app.flashes %}
    {% for message in messages %}
        <div>{{ label }} : {{ message }}</div>
    {% endfor %}
{% endfor %}

{% block body %}{% endblock %}

{% block footer %}{% endblock %}

{% block javascript %}{% endblock %}
</body>
</html>